Bug 1967197 - 404 errors loading some i18n namespaces
Summary: 404 errors loading some i18n namespaces
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.8
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.8.0
Assignee: Samuel Padgett
QA Contact: Siva Reddy
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-02 15:28 UTC by Samuel Padgett
Modified: 2021-07-27 23:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Version: 4.8.0-0.nightly-2021-06-02-025513 Cluster ID: 42a48920-049e-4386-8a22-dc267b14a7b2 Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:89.0) Gecko/20100101 Firefox/89.0
Last Closed: 2021-07-27 23:11:18 UTC
Target Upstream Version:


Attachments (Terms of Use)
console with no errors on i18n namespaces load (565.38 KB, image/png)
2021-06-07 22:52 UTC, Siva Reddy
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9119 0 None open Bug 1967197: Fix 404 errors loading i18n namespaces 2021-06-02 15:32:32 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:11:29 UTC

Description Samuel Padgett 2021-06-02 15:28:32 UTC
There are three 404 errors on console load when loading the i18n namespaces:

1. k8s.json (removed)
2. oauth.json (removed)
3. git-service.json (missing)

We should remove references to the k8s and oauth namespaces since they've been removed. git-service is not getting copied into the locales directory.

Comment 2 Siva Reddy 2021-06-07 22:52:54 UTC
Created attachment 1789295 [details]
console with no errors on i18n namespaces load

Version:
 4.8.0-0.nightly-2021-06-07-034343

Steps to verify:
 1. login to console and open a dev tools console from the browser dev tools(ctrl+shift+i for chrome)
 2. change to pseudo localization (?pseudolocalization=true&lng=en) 
 3. Navigate to multiple pages and notice the log in the dev tools console in the browser
 4. There are not 404 error for the namespaces loading calls for i18n namespaces

 Hence this bug is verified.

  attached the screen shot

Comment 5 errata-xmlrpc 2021-07-27 23:11:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.